Function
longestIncreasingSubsequence
Computes the longest increasing subsequence.
longestIncreasingSubsequence(str, pos)
Include Headers
seqan/graph_algorithms.h
Parameters

str | In-parameter: An arbitrary string. Types: String
pos | Out-parameter: A String with the positions that belong to the longest increasing subsequence. Remarks: The last position in pos indicates the first element in the longest increasing subsequence. That's why pos should be a Block-String (Stack).

Example Programs
Longest Increasing Subsequence
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48